## babl 0.1.74

=== meson_options.txt ===
option('enable-mmx',    type: 'boolean', value: true, description: 'enable MMX support')
option('enable-sse',    type: 'boolean', value: true, description: 'enable SSE support')
option('enable-sse2',   type: 'boolean', value: true, description: 'enable SSE2 support')
option('enable-sse3',   type: 'boolean', value: true, description: 'enable SSE3 support')
option('enable-sse4_1', type: 'boolean', value: true, description: 'enable SSE4.1 support')
option('enable-avx2',   type: 'boolean', value: true, description: 'enable AVX2 support')
option('enable-f16c',   type: 'boolean', value: true, description: 'enable hardware half-float support')
option('enable-gir',    type: 'boolean', value: true, description: 'enable GObject-Introspection (GIR)')
option('with-docs',     type: 'boolean', value: true, description: 'build website')
option('with-lcms',     type: 'boolean', value: true, description: 'build with lcms')

## babl 0.0.22

=== debian/changelog ===
babl (0.0.22-2) unstable; urgency=low

  * debian/control: maintainer changed
  * debian/control: debug package added (Closes: #503674)
  * debian/control: dbg's Priority field set
  * debian/watch: config file added
  * debian/control: bump Standards-Version to 3.9.2
  * debian/: bump debhelper support to 8 and compliance
  * Acknowledgement for 0.0.22-1.1 NMU (Thanks Gregor!)
  * babl/babl-model.c: upstream file restored
  * debian/patches/: providing patching infrastructure
  * debian/source/: providing 3.0 (quilt) support

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 08 Feb 2012 09:21:46 +0100

babl (0.0.22-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: babl-model.c:49:7: error: format not a string literal
    and no format arguments [-Werror=format-security]": add patch from Bart
    Martens (closes: #643356).

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Oct 2011 15:39:05 +0200

babl (0.0.22-1) unstable; urgency=low

  * New upstream release

 -- Ross Burton <ross@debian.org>  Mon, 16 Jun 2008 11:32:54 +0100

babl (0.0.20-1) unstable; urgency=low

  * First upload to Debian (Closes: #451250)
  * Initially based on packaging by Étienne Bersac <bersace03@laposte.net>.

 -- Ross Burton <ross@debian.org>  Thu, 28 Feb 2008 08:41:14 +0000

=== debian/control ===
Source: babl
Section: libs
Priority: optional
Maintainer: Matteo F. Vescovi <mfv.debian@gmail.com>
Build-Depends: autotools-dev,
               cdbs,
               debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://gegl.org/babl/

Package: libbabl-0.0-0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Dynamic, any to any, pixel format conversion library
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.

Package: libbabl-0.0-0-dev
Architecture: any
Section: libdevel
Depends: libbabl-0.0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Dynamic, any to any, pixel format conversion library (development files)
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.
 .
 This package contains the development files.

Package: libbabl-0.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Dynamic, any to any, pixel format conversion library (documentation)
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.
 .
 This package contains the API documentation.

Package: libbabl-0.0-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libbabl-0.0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Dynamic, any to any, pixel format conversion library (debugging symbols)
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

export LDFLAGS += -Wl,--as-needed

binary-install/libbabl-0.0-doc::
	rm -f debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/graphics/Makefile*

common-binary-predeb-arch:: list-missing

=== debian/watch ===
version=3
ftp://ftp.gimp.org/pub/babl/0.0/babl-(.+)\.tar\.bz2

## babl 0.0.22-1-maemo1

=== debian/changelog ===
babl (0.0.22-1-maemo1) unstable; urgency=low

  * Packaging for fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 1 May 2010 15:28:54 +0100

=== debian/control ===
Source: babl
Section: libs
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5), cdbs, autotools-dev, maemo-optify
Standards-Version: 3.7.3

Package: libbabl-0.0-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dynamic, any to any, pixel format conversion library
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.

Package: libbabl-0.0-0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libbabl-0.0-0 (= ${binary:Version})
Description: Dynamic, any to any, pixel format conversion library (development files)
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.
 .
 This package contains the development files.

Package: libbabl-0.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Dynamic, any to any, pixel format conversion library (documentation)
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.
 .
 This package contains the API documentation.

=== debian/rules ===
#!/usr/bin/make -f

# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2002,2003 Colin Walters <walters@debian.org>
# Copyright © 2009 Jonas Smedegaard <dr@jones.dk>
# Description: Uses Debhelper to implement the binary package building stage
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

####
# General variables implemented by this rule file:
#
# DEB_INSTALL_DIRS_ALL
#   Subdirectories to create in installation staging directory for every package
# DEB_INSTALL_DIRS_<package>
#   Like the above, but for a particular package <package>.
# DEB_INSTALL_DOCS_ALL
#   Files which should go in /usr/share/doc/<package> for every package
# DEB_INSTALL_DOCS_<package>
#   Files which should go in /usr/share/doc/<package> for package
# DEB_INSTALL_CHANGELOGS_ALL
#   File which should be interpreted as upstream changelog
# DEB_COMPRESS_EXCLUDE
#   Regular expressions matching files which should not be compressed.
# DEB_FIXPERMS_EXCLUDE
#   Regular expressions matching files which should not have their permissions changed.
# DEB_CLEAN_EXCLUDE
#   Regular expressions matching files which should not be cleaned.
# DEB_DH_ALWAYS_EXCLUDE
#   Force builddeb to exclude files.  See the DH_ALWAYS_EXCLUDE section
#   in debhelper(7) for more details.
# DEB_SHLIBDEPS_LIBRARY_package
#   The name of the current library package
# DEB_SHLIBDEPS_INCLUDE
#   A space-separated list of library paths to search for dependency info
# DEB_SHLIBDEPS_INCLUDE_package
#   Like the above, but for a particular package.
# DEB_PERL_INCLUDE
#   A space-separated list of paths to search for perl modules
# DEB_PERL_INCLUDE_package
#   Like the above, but for a particular package.
# DEB_UPDATE_RCD_PARAMS
#   Arguments to pass to update-rc.d in init scripts
####
# Special variables used by this rule file:
#
# DEB_DH_PREP
#   Command used to perform cleanups in preparation for building a binary package
# DEB_DH_GENCONTROL_ARGS_ALL
#   Arguments passed directly to dh_gencontrol, for all packages
# DEB_DH_GENCONTROL_ARGS_<package>
#   Arguments passed directly to dh_gencontrol, for a particular package <package>
# DEB_DH_GENCONTROL_ARGS
#   Completely override argument passing to dh_gencontrol.
# DEB_DH_MAKESHLIBS_ARGS_ALL
#   Arguments passed directly to dh_makeshlibs, for all packages
# DEB_DH_MAKESHLIBS_ARGS_<package>
#   Arguments passed directly to dh_makeshlibs, for a particular package <package>
# DEB_DH_MAKESHLIBS_ARGS
#   Completely override argument passing to dh_makeshlibs. 
# DEB_DH_SHLIBDEPS_ARGS_ALL
#   Arguments passed directly to dh_shlibdeps, for all packages
# DEB_DH_SHLIBDEPS_ARGS_<package>
#   Arguments passed directly to dh_shlibdeps, for a particular package <package>
# DEB_DH_SHLIBDEPS_ARGS
#   Completely override argument passing to dh_shlibdeps.
# DEB_DH_PERL_ARGS
#   Completely override argument passing to dh_perl.
####

_cdbs_scripts_path ?= /usr/lib/cdbs
_cdbs_rules_path ?= /usr/share/cdbs/1/rules
_cdbs_class_path ?= /usr/share/cdbs/1/class

ifndef _cdbs_rules_debhelper
_cdbs_rules_debhelper = 1

include $(_cdbs_rules_path)/buildcore.mk$(_cdbs_makefile_suffix)

DH_COMPAT ?= $(shell cat debian/compat 2>/dev/null)
ifeq (,$(DH_COMPAT))
DH_COMPAT = 5
endif

ifeq ($(DH_COMPAT),4)
CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), debhelper (>= 4.2.0)
endif
ifeq ($(DH_COMPAT),5)
CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), debhelper (>= 5)
endif
ifeq ($(DH_COMPAT),6)
CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), debhelper (>= 6)
endif
ifeq ($(DH_COMPAT),7)
CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), cdbs (>= 0.4.53)
CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), debhelper (>= 7.0.1)
endif

ifeq ($(DEB_VERBOSE_ALL), yes)
DH_VERBOSE = 1
endif

is_debug_package=$(if $(patsubst %-dbg,,$(cdbs_curpkg)),,yes)

DEB_DH_PREP = $(shell if [ "$(DH_COMPAT)" -gt 7 ]; then echo "dh_prep"; else echo "dh_clean -k"; fi)

DEB_INSTALL_DIRS_ALL =
DEB_INSTALL_CHANGELOGS_ALL =
DEB_INSTALL_DOCS_ALL = $(filter-out $(DEB_INSTALL_CHANGELOGS_ALL),$(shell for f in README NEWS TODO BUGS AUTHORS THANKS; do if test -s $(DEB_SRCDIR)/$$f; then echo $(DEB_SRCDIR)/$$f; fi; done))

cdbs_add_dashx = $(foreach i,$(1),$(patsubst %,-X %,$(i)))
cdbs_strip_quotes = $(subst ',,$(subst ",,$(1)))
# hello emacs '

DEB_DH_GENCONTROL_ARGS = $(DEB_DH_GENCONTROL_ARGS_ALL) $(DEB_DH_GENCONTROL_ARGS_$(cdbs_curpkg))
DEB_DH_MAKESHLIBS_ARGS = $(DEB_DH_MAKESHLIBS_ARGS_ALL) $(DEB_DH_MAKESHLIBS_ARGS_$(cdbs_curpkg))
DEB_DH_SHLIBDEPS_ARGS = $(if $(DEB_SHLIBDEPS_LIBRARY_$(cdbs_curpkg)),-L $(DEB_SHLIBDEPS_LIBRARY_$(cdbs_curpkg))) $(if $(DEB_SHLIBDEPS_INCLUDE_$(cdbs_curpkg))$(DEB_SHLIBDEPS_INCLUDE),-l $(shell echo $(DEB_SHLIBDEPS_INCLUDE_$(cdbs_curpkg)):$(DEB_SHLIBDEPS_INCLUDE) | perl -pe 's/ /:/g;')) $(DEB_DH_SHLIBDEPS_ARGS_ALL) $(DEB_DH_SHLIBDEPS_ARGS_$(cdbs_curpkg))

DEB_DH_BUILDDEB_ENV = $(if $(DEB_DH_ALWAYS_EXCLUDE),DH_ALWAYS_EXCLUDE=$(DEB_DH_ALWAYS_EXCLUDE),)
DEB_DH_PERL_ARGS = $(if $(DEB_PERL_INCLUDE_$(cdbs_curpkg))$(DEB_PERL_INCLUDE),$(shell echo $(DEB_PERL_INCLUDE_$(cdbs_curpkg)) $(DEB_PERL_INCLUDE)))

ifneq ($(words $(DEB_DBG_PACKAGES)),0)
ifeq ($(words $(DEB_DBG_PACKAGES)),1)
DEB_DBG_PACKAGE_ALL = $(if $(strip $(foreach x,$(DEB_PACKAGES),$(DEB_DBG_PACKAGE_$(x)))),,$(DEB_DBG_PACKAGES))
else
ifeq (yes,$(if $(findstring no,$(foreach x,$(DEB_DBG_PACKAGES),$(if $(filter $(x:-dbg=),$(DEB_PACKAGES)),yes,no))),no,yes))
define cdbs_deb_dbg_package_assign
DEB_DBG_PACKAGE_$(1:-dbg=) = $(1)
endef
$(foreach x,$(DEB_DBG_PACKAGES),$(eval $(call cdbs_deb_dbg_package_assign,$(value x))))
endif
endif
cdbs_dbg_package = $(or $(DEB_DBG_PACKAGE_$(cdbs_curpkg)),$(DEB_DBG_PACKAGE_ALL))
cdbs_dbg_package_option = $(if $(cdbs_dbg_package),$(shell if [ "$(DH_COMPAT)" -ge 5 ]; then echo "--dbg-package=$(strip $(cdbs_dbg_package))"; fi))
DEB_DH_STRIP_ARGS = $(cdbs_dbg_package_option)
endif

pre-build:: debian/compat

debian/compat:
	$(if $(DEB_DH_COMPAT_DISABLE),,echo $(DH_COMPAT) >$@)

clean::
	dh_clean $(call cdbs_add_dashx,$(DEB_CLEAN_EXCLUDE))

common-install-prehook-arch common-install-prehook-indep:: common-install-prehook-impl
common-install-prehook-impl::
	$(DEB_DH_PREP) $(call cdbs_add_dashx,$(DEB_CLEAN_EXCLUDE))
	dh_installdirs -A $(DEB_INSTALL_DIRS_ALL)

$(patsubst %,install/%,$(DEB_ALL_PACKAGES)) :: install/%:
	dh_installdirs -p$(cdbs_curpkg) $(DEB_INSTALL_DIRS_$(cdbs_curpkg))

# Create .debs or .udebs as we see fit
$(patsubst %,binary/%,$(DEB_ALL_PACKAGES)) :: binary/% : binary-makedeb/%

####
# General Debian package creation rules.
####

# This rule is called once for each package.  It does the work
# of installing to debian/<packagename>; this includes running
# dh_install to split the source from debian/tmp, as well as installing
# ChangeLogs and the like.
$(patsubst %,binary-install/%,$(DEB_ALL_PACKAGES)) :: binary-install/%:
	dh_installdocs -p$(cdbs_curpkg) $(DEB_INSTALL_DOCS_ALL) $(DEB_INSTALL_DOCS_$(cdbs_curpkg)) 
	dh_installexamples -p$(cdbs_curpkg) $(DEB_INSTALL_EXAMPLES_$(cdbs_curpkg))
	dh_installman -p$(cdbs_curpkg) $(DEB_INSTALL_MANPAGES_$(cdbs_curpkg)) 
	dh_installinfo -p$(cdbs_curpkg) $(DEB_INSTALL_INFO_$(cdbs_curpkg)) 
	dh_installmenu -p$(cdbs_curpkg) $(DEB_DH_INSTALL_MENU_ARGS)
	dh_installcron -p$(cdbs_curpkg) $(DEB_DH_INSTALL_CRON_ARGS)

## babl 0.1.6

=== debian/changelog ===
babl (0.1.6-2) unstable; urgency=low

  * Upload to unstable

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 14 Mar 2012 18:55:56 +0100

babl (0.1.6-1) experimental; urgency=low

  * Initial "0.1.x series" release (Closes: #541170)
    + doc-base config file added
    + debian/control: VCS links added
    + debian/*.symbols: file added
  * debian/rules: dh_installdocs's exclude instead of rm.
  * debian/rules: exclude /usr/lib/babl-0.1 from dh_makeshlibs.
  * GObject Introspection data support added.
    Thanks to Daniel Schaal for these changes
  * debian/libbabl-0.1-0.install: paths updated
  * debian/patches/: removed since no more useful
  * debian/: renaming .install and adding docs file
  * debian/libbabl-doc.doc-base: paths updated
  * debian/: Multi-Arch support added
  * debian/copyright: DEP-5 compliance
  * debian/control: Standards-Version bumped to 3.9.3

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Thu, 23 Feb 2012 14:52:23 +0100

=== debian/control ===
Source: babl
Section: libs
Priority: optional
Maintainer: Matteo F. Vescovi <mfv.debian@gmail.com>
Build-Depends: autotools-dev,
               cdbs (>= 0.4.93~),
               debhelper (>= 8.1.3),
               gobject-introspection,
               libgirepository1.0-dev,
               pkg-config
Standards-Version: 3.9.3
Homepage: http://gegl.org/babl/
Vcs-Git: git://anonscm.debian.org/collab-maint/babl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/babl.git

Package: libbabl-0.1-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Dynamic, any to any, pixel format conversion library
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.

Package: libbabl-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libbabl-0.1-0 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libbabl-0.0-0-dev
Replaces: libbabl-0.0-0-dev
Provides: libbabl-0.0-0-dev
Description: Dynamic, any to any, pixel format conversion library (development files)
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.
 .
 This package contains the development files.

Package: libbabl-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Breaks: libbabl-0.0-doc
Replaces: libbabl-0.0-doc
Description: Dynamic, any to any, pixel format conversion library (documentation)
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.
 .
 This package contains the API documentation.

Package: libbabl-0.1-0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libbabl-0.1-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Dynamic, any to any, pixel format conversion library (debugging symbols)
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.
 .
 This package contains the debugging symbols.

Package: gir1.2-babl-0.1
Section: introspection
Architecture: any
Depends: libbabl-0.1-0 (= ${binary:Version}),
         ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for Babl library
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

export LDFLAGS += -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
DEB_DH_MAKESHLIBS_ARGS_libbabl-0.1-0 = "--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/babl-0.1"
DEB_DH_INSTALLDOCS_ARGS_libbabl-0.1-doc = "--exclude=Makefile"

common-binary-predeb-arch:: list-missing

## babl 0.1.10

=== debian/changelog ===
babl (0.1.10-2) unstable; urgency=medium

  * debian/: dh-autoreconf usage added
    Thanks to Fernando Seiti Furusato for the patch. (Closes: #754905)
  * debian/watch: ftp:// => http://
  * debian/control: Maintainer e-mail address updated

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Wed, 16 Jul 2014 10:11:27 +0200

babl (0.1.10-1) unstable; urgency=low

  [ Matteo F. Vescovi ]
  * New upstream release
    + debian/libbabl-0.1-0.symbols: new symbols added
    + debian/: gobject introspection disabled.
      Since it used to fail, upstream decided to remove
      gobject introspection (commits cf55998 and 8a6eff2).
      Debian packaging configurations are kept and only
      commented, hoping this support will be re-enabled
      in the future.
  * debian/rules: MMX and SSE support disabled (Closes: #668423)

  [ Jordi Mallach ]
  * Change license of debian/* to LGPL-3+, to match the upstream code.

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Sat, 05 May 2012 19:38:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: babl
 Section: libs
 Priority: optional
-Maintainer: Matteo F. Vescovi <mfv.debian@gmail.com>
-Build-Depends: autotools-dev,
+Maintainer: Matteo F. Vescovi <mfvescovi@gmail.com>
+Build-Depends: dh-autoreconf,
                cdbs (>= 0.4.93~),
                debhelper (>= 8.1.3),
                gobject-introspection,
@@ -71,18 +71,18 @@
  also facilitates creation of new and uncommon ones.
  .
  This package contains the debugging symbols.
-
-Package: gir1.2-babl-0.1
-Section: introspection
-Architecture: any
-Depends: libbabl-0.1-0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${gir:Depends}
-Description: GObject introspection data for Babl library
- Babl is a dynamic, any to any, pixel format conversion library. It
- provides conversions between the myriad of buffer types images can be
- stored in. Babl doesn't only help with existing pixel formats, but
- also facilitates creation of new and uncommon ones.
- .
- This package can be used by other packages using the GIRepository format
- to generate dynamic bindings.
+#
+#Package: gir1.2-babl-0.1
+#Section: introspection
+#Architecture: any
+#Depends: libbabl-0.1-0 (= ${binary:Version}),
+#         ${misc:Depends},
+#         ${gir:Depends}
+#Description: GObject introspection data for Babl library
+# Babl is a dynamic, any to any, pixel format conversion library. It
+# provides conversions between the myriad of buffer types images can be
+# stored in. Babl doesn't only help with existing pixel formats, but
+# also facilitates creation of new and uncommon ones.
+# .
+# This package can be used by other packages using the GIRepository format
+# to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

export LDFLAGS += -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--disable-mmx \
	--disable-sse

DEB_DH_MAKESHLIBS_ARGS_libbabl-0.1-0 = "--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/babl-0.1"
DEB_DH_INSTALLDOCS_ARGS_libbabl-0.1-doc = "--exclude=Makefile"
DEB_DH_INSTALL_ARGS += --list-missing

## babl 0.1.10-1-maemo1

=== debian/changelog ===
babl (0.1.10-1-maemo1) unstable; urgency=low

  * NON-optified!

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 16 Sep 2013 11:22:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
 Source: babl
 Section: libs
 Priority: optional
-Maintainer: Matteo F. Vescovi <mfvescovi@gmail.com>
-Build-Depends: dh-autoreconf,
-               cdbs (>= 0.4.93~),
-               debhelper (>= 8.1.3),
-               gobject-introspection,
-               libgirepository1.0-dev,
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
+Build-Depends: autotools-dev,
                pkg-config
 Standards-Version: 3.9.3
 Homepage: http://gegl.org/babl/

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/utils.mk

## babl 0.1.12

=== debian/changelog ===
babl (0.1.12-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 28 Apr 2015 16:33:50 +0200

babl (0.1.12-1) experimental; urgency=medium

  * New upstream release
    - debian/libbabl-0.1-0.symbols: symbols updated
  * debian/copyright: entries updated
  * debian/control: S-V bump 3.9.5 => 3.9.6 (no changes needed)
  * debian/control: Maintainer e-mail address updated

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 13 Feb 2015 12:39:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: babl
 Section: libs
 Priority: optional
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: autotools-dev,
+Maintainer: Matteo F. Vescovi <mfv@debian.org>
+Build-Depends: dh-autoreconf,
+               cdbs (>= 0.4.93~),
+               debhelper (>= 8.1.3),
+               gobject-introspection,
+               libgirepository1.0-dev,
                pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://gegl.org/babl/
 Vcs-Git: git://anonscm.debian.org/collab-maint/babl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/babl.git

## babl 0.1.16

=== debian/changelog ===
babl (0.1.16-1) unstable; urgency=medium

  * New upstream release
  * debian/control: -> https:// for Vcs-* fields
  * debian/control: S-V bump 3.9.6 -> 3.9.7 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 15 Feb 2016 21:23:40 +0100

babl (0.1.14-1) unstable; urgency=medium

  * New upstream release
    - debian/: debhelper support (>= 9)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 23 Nov 2015 12:06:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: dh-autoreconf,
                cdbs (>= 0.4.93~),
-               debhelper (>= 8.1.3),
+               debhelper (>= 9),
                gobject-introspection,
                libgirepository1.0-dev,
                pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://gegl.org/babl/
-Vcs-Git: git://anonscm.debian.org/collab-maint/babl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/babl.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/babl.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/babl.git
 
 Package: libbabl-0.1-0
 Architecture: any

=== debian/watch ===
version=3
http://ftp.gtk.org/pub/babl/([\d\.]+)/babl-(.+)\.tar\.bz2

## babl 0.1.18

=== debian/changelog ===
babl (0.1.18-1mx150+1) mx; urgency=medium

  * Non-maintainer upload.
  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Fri, 15 Jul 2016 20:05:51 -0500

babl (0.1.18-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 3.9.7 -> 3.9.8 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 21 Jun 2016 22:05:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: babl
 Section: libs
 Priority: optional
-Maintainer: Matteo F. Vescovi <mfv@debian.org>
+Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Matteo F. Vescovi <mfv@debian.org>
+Bugs: mailto: <maintainer@mepiscommunity.org>
 Build-Depends: dh-autoreconf,
                cdbs (>= 0.4.93~),
                debhelper (>= 9),
                gobject-introspection,
                libgirepository1.0-dev,
                pkg-config
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://gegl.org/babl/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/babl.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/babl.git

## babl 0.1.24

=== debian/changelog ===
babl (0.1.24-2) experimental; urgency=medium

  * debian/rules: MMX and SSE support added for amd64.
    Thanks to Laurent Bigonville (bigon) for the patch. (Closes: #857172)
  * debian/patches/: patchset updated
    - 0001-Fix_unaligned_access_on_sparc64.patch added (Closes: #806208)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 18 Mar 2017 22:40:55 +0100

babl (0.1.24-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 18 Feb 2017 14:18:30 +0100

babl (0.1.22-1) experimental; urgency=medium

  * New upstream release
    - debian/libbabl-0.1-0.symbols: symbols updated
    - debian/libbabl-doc*: obsolete documentation files dropped

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 08 Jan 2017 14:41:43 +0100

## babl 0.1.30

=== debian/changelog ===
babl (0.1.30-1) unstable; urgency=medium

  * QA upload.
  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 31 Aug 2017 22:56:48 +0200

babl (0.1.28-3) unstable; urgency=medium

  * debian/control: orphaning the package

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 02 Jul 2017 14:14:47 +0200

babl (0.1.28-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: S-V bump 3.9.8 => 4.0.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 22 Jun 2017 17:18:13 +0200

babl (0.1.28-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 02 Jun 2017 14:17:00 +0200

babl (0.1.26-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 27 May 2017 14:38:50 +0200

babl (0.1.24-3) experimental; urgency=medium

  * debian/patches/: patchset dropped

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 21 Mar 2017 13:35:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: babl
 Section: libs
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Matteo F. Vescovi <mfv@debian.org>
-Bugs: mailto: <maintainer@mepiscommunity.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: dh-autoreconf,
                cdbs (>= 0.4.93~),
                debhelper (>= 9),
                gobject-introspection,
                libgirepository1.0-dev,
                pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://gegl.org/babl/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/babl.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/babl.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

export LDFLAGS += -Wl,--as-needed

# Disable SSE2 except on amd64
ifneq ($(DEB_HOST_ARCH_CPU),amd64)
	sse_flags := --disable-mmx --disable-sse --disable-sse2
else
	sse_flags := --enable-mmx --enable-sse --enable-sse2
endif

DEB_CONFIGURE_EXTRA_FLAGS += \
--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	$(sse_flags) \
	--disable-sse4_1 \
	--disable-f16c

DEB_DH_MAKESHLIBS_ARGS_libbabl-0.1-0 = "--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/babl-0.1"
DEB_DH_INSTALLDOCS_ARGS_libbabl-0.1-doc = "--exclude=Makefile"
DEB_DH_INSTALL_ARGS += --list-missing

## babl 0.1.44

=== debian/changelog ===
babl (0.1.44-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 19 Feb 2018 21:46:10 -0500

babl (0.1.42-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 25 Jan 2018 22:32:24 -0500

babl (0.1.40-1) unstable; urgency=medium

  * New upstream release
  * Add new symbol
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add debian/gbp.conf
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 20 Jan 2018 21:59:45 -0500

babl (0.1.38-1) unstable; urgency=medium

  * New upstream release
  * Add new symbol
  * Use dh_install --fail-missing

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 22 Nov 2017 10:01:16 -0500

babl (0.1.34-1) unstable; urgency=medium

  * New upstream release
  * debian/libbabl-0.1-0.symbols: symbols updated. Some symbols were dropped
    but they don't appear to cause a problem for babl users in Debian.
  * Switch from cdbs to dh
  * Set Debian GNOME team as maintainer & update Vcs fields (Closes: #866873)
  * Switch to automatic dbgsym packages
  * Build with all hardening flags
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Oct 2017 17:27:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: babl
 Section: libs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: dh-autoreconf,
-               cdbs (>= 0.4.93~),
-               debhelper (>= 9),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper (>= 11),
+               gnome-pkg-tools,
                gobject-introspection,
                libgirepository1.0-dev,
                pkg-config
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/babl
+Vcs-Git: https://salsa.debian.org/gnome-team/babl.git
 Homepage: http://gegl.org/babl/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/babl.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/babl.git
 
 Package: libbabl-0.1-0
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Dynamic, any to any, pixel format conversion library
@@ -56,21 +59,6 @@
  also facilitates creation of new and uncommon ones.
  .
  This package contains the API documentation.
-
-Package: libbabl-0.1-0-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libbabl-0.1-0 (= ${binary:Version}),
-         ${misc:Depends}
-Description: Dynamic, any to any, pixel format conversion library (debugging symbols)
- Babl is a dynamic, any to any, pixel format conversion library. It
- provides conversions between the myriad of buffer types images can be
- stored in. Babl doesn't only help with existing pixel formats, but
- also facilitates creation of new and uncommon ones.
- .
- This package contains the debugging symbols.
 #
 #Package: gir1.2-babl-0.1
 #Section: introspection

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

# Disable SSE2 except on amd64
ifneq ($(DEB_HOST_ARCH_CPU),amd64)
	sse_flags := --disable-mmx --disable-sse --disable-sse2
else
	sse_flags := --enable-mmx --enable-sse --enable-sse2
endif

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		$(sse_flags) \
		--disable-sse4_1 \
		--disable-f16c

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/babl-0.1/ -V -- -c4

override_dh_installdocs:
	dh_installdocs -XMakefile

override_dh_strip:
	dh_strip --dbgsym-migration="libbabl-0.1-0-dbg (<< 0.1.34)"

=== debian/watch ===
version=3
https://ftp.gtk.org/pub/babl/([\d\.]+)/babl-(.+)\.tar\.bz2

## babl 0.1.58

=== debian/changelog ===
babl (0.1.58-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (LP: #1796377)
  * Bump Standards-Version to 4.2.1

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 05 Oct 2018 14:08:01 -0400

babl (0.1.56-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Aug 2018 21:16:16 -0400

babl (0.1.54-1) unstable; urgency=medium

  * New upstream release
  * Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Jul 2018 11:31:38 -0400

babl (0.1.50-1) unstable; urgency=medium

  * New upstream release
  * Update debian/gbp.conf

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 20 May 2018 22:36:01 -0400

babl (0.1.46-3) unstable; urgency=medium

  * Drop obsolete Breaks/Replaces/Provides not needed for years
    (Closes: #898053)
  * Add disable-float-to-8bit-test.patch:
    - Disable unreliable build test (See #890887)
  * Stop ignoring test failures on s390x

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 06 May 2018 12:26:42 -0400

babl (0.1.46-2) unstable; urgency=medium

  * Ignore test failures on s390x (See #890887)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Apr 2018 09:27:16 -0400

babl (0.1.46-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 11 Apr 2018 19:48:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: babl
@@ -12,7 +12,7 @@
                gobject-introspection,
                libgirepository1.0-dev,
                pkg-config
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/babl
 Vcs-Git: https://salsa.debian.org/gnome-team/babl.git
 Homepage: http://gegl.org/babl/
@@ -34,9 +34,6 @@
 Section: libdevel
 Depends: libbabl-0.1-0 (= ${binary:Version}),
          ${misc:Depends}
-Breaks: libbabl-0.0-0-dev
-Replaces: libbabl-0.0-0-dev
-Provides: libbabl-0.0-0-dev
 Description: Dynamic, any to any, pixel format conversion library (development files)
  Babl is a dynamic, any to any, pixel format conversion library. It
  provides conversions between the myriad of buffer types images can be
@@ -50,8 +47,6 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
-Breaks: libbabl-0.0-doc
-Replaces: libbabl-0.0-doc
 Description: Dynamic, any to any, pixel format conversion library (documentation)
  Babl is a dynamic, any to any, pixel format conversion library. It
  provides conversions between the myriad of buffer types images can be

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

## babl 0.1.62

=== debian/changelog ===
babl (0.1.62-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on liblcms2-dev
  * Build-Depend on dh-sequence-gnome
  * debian/libbabl-0.1.0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Feb 2019 13:23:03 -0500

babl (0.1.60-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Dec 2018 09:14:34 -0500

babl (0.1.60-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 16 Nov 2018 20:42:19 -0500

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools,
-               gobject-introspection,
-               libgirepository1.0-dev,
+Build-Depends: debhelper (>= 12),
+#               dh-sequence-gir,
+               dh-sequence-gnome,
+#               libgirepository1.0-dev,
+               liblcms2-dev,
                pkg-config
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/babl
 Vcs-Git: https://salsa.debian.org/gnome-team/babl.git
 Homepage: http://gegl.org/babl/

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 # Disable SSE2 except on amd64
 ifneq ($(DEB_HOST_ARCH_CPU),amd64)
@@ -11,7 +11,7 @@
 endif
 
 %:
-	dh $@ --with gnome
+	dh $@
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
@@ -24,7 +24,10 @@
 
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/babl-0.1/ -V -- -c4

## babl 0.1.66

=== debian/changelog ===
babl (0.1.66-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 17.
  * debian/libbabl-0.1.0.symbols: Add new symbol.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Jun 2019 08:58:03 -0700

babl (0.1.62-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.
  * Drop dh-sequence-* build-deps and reenable libgirepository1.0-dev.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Apr 2019 15:45:22 -0700

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 # This file is autogenerated. DO NOT EDIT!
-#
+# 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: babl
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 12),
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Ross Burton <ross@debian.org>
+Build-Depends: debhelper (>= 10),
 #               dh-sequence-gir,
-               dh-sequence-gnome,
-#               libgirepository1.0-dev,
+#               dh-sequence-gnome,
+               libgirepository1.0-dev,
                liblcms2-dev,
                pkg-config
 Standards-Version: 4.3.0

=== debian/rules ===
--- 
+++ 
@@ -36,4 +36,4 @@
 	dh_installdocs -XMakefile
 
 override_dh_strip:
-	dh_strip --dbgsym-migration="libbabl-0.1-0-dbg (<< 0.1.34)"
+	dh_strip --no-automatic-dbgsym

## babl 0.1.72

=== debian/changelog ===
babl (0.1.72-4) unstable; urgency=medium

  * Source-only upload

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 09 Nov 2019 19:37:31 -0500

babl (0.1.72-3) unstable; urgency=medium

  * Build gir1.2-babl-0.1 package

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Oct 2019 23:12:38 -0400

babl (0.1.72-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Have libbabl-dev depend on liblcms2-dev as required by updated pkgconfig
    file. This was detected with the help of the gnome-photos autopkgtest.
  * Add tests-increase-timeout.patch:
    - Increase meson timeout limit so that the armel build succeeds

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 27 Oct 2019 12:55:46 -0400

babl (0.1.72-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Build with meson
  * debian/libbabl-0.1-0.symbols: Add new symbols
  * Skip installing README for now
  * Drop disable-float-to-8bit-test.patch: perhaps no longer needed
  * Bump Standards-Version to 4.4.1

  [ Simon McVittie ]
  * libbabl-0.1-0.symbols: Bump all minimal versions to 0.1.72

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 26 Oct 2019 15:34:16 -0400

## babl 0.1.74

=== debian/changelog ===
babl (0.1.74-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 22 Feb 2020 17:53:33 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: babl
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-gir,
               dh-sequence-gnome,
               libgirepository1.0-dev,
               liblcms2-dev,
               meson (>= 0.50.0),
               python3-setuptools,
               pkg-config,
               w3m
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/gnome-team/babl
Vcs-Git: https://salsa.debian.org/gnome-team/babl.git
Homepage: http://gegl.org/babl/

Package: libbabl-0.1-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Dynamic, any to any, pixel format conversion library
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.

Package: libbabl-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-babl-0.1 (= ${binary:Version}),
         libbabl-0.1-0 (= ${binary:Version}),
         liblcms2-dev,
         ${misc:Depends}
Description: Dynamic, any to any, pixel format conversion library (development files)
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.
 .
 This package contains the development files.

Package: libbabl-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Dynamic, any to any, pixel format conversion library (documentation)
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.
 .
 This package contains the API documentation.

Package: gir1.2-babl-0.1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for Babl library
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.
 .
 This package contains introspection data for the library.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

# Disable SSE2 except on amd64
ifneq ($(DEB_HOST_ARCH_CPU),amd64)
	sse_flags := -Denable-mmx=false -Denable-sse=false -Denable-sse2=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		$(sse_flags) \
		-Denable-sse4_1=false \
		-Denable-f16c=false

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/babl-0.1/ -V -- -c4

=== debian/watch ===
version=4
https://ftp.gtk.org/pub/@PACKAGE@/([\d\.]+)/\
	@PACKAGE@@ANY_VERSION@\.tar\.xz
